# Search protocol
This _readme_ explains the search results Excel files contained in this folder, related to the phases _2. Define search protocol_ and _3. Execute search protocol_. 

Data files included in this folder:
1. Query search results.xlsx
2. Snowballing search results.xlsx

## Search queries
For the query search, the following queries were used to search Google Scholar:
* "non-functional requirement"/"quality requirement" AND "requirements elicitation"
* "non-functional requirement"/"quality requirement" AND "requirements analysis"
* "non-functional requirement"/"quality requirement" AND "requirements specification"
* "non-functional requirement"/"quality requirement" AND "requirements validation"
* "non-functional requirement"/"quality requirement" AND "requirements management"
* "non-functional requirement"/"quality requirement" AND "requirements engineering"

## Search selection criteria
The search results were assessed based on pre-defined criteria, which are:
* Written in English
* Is an article, technical report or book (i.e., no slidedecks, posters, citations or videos)
* Published in a scientific venue
* Is not a (Master) student thesis
* Presents an original definition of non-functional requirement or of quality requirement

In addition, duplicate and inaccessible search results are labeled as such. Search results that met all criteria are considered candidate definitions and are included in the screening and appraisal phase of the study (assigned label "Include"). Please note that violating the criterion "Presents an original definition" can result in label "Definition cited" or "No definition".

## Query search results
First, two authors used query searching in Google Scholar to gather potential definitions. These results are provided in the **Query search results** file.
Literature with a potential for snowballing was marked during the query search. 
During the search, the authors assessed whether the query search results met one or more exclusion criteria. The query search was finalized prior to starting the snowballing search.

The Excel file includes the following columns:
- A: Search method. How the entry was found (in this file, always "Query search").
- B: Search term/source. The query that led to the result.
- C: Article. Citation information for the result.
- D: Definition. If available, the definition that was found in that result.
- E: Decision round 1. Whether the decision should be included or, if not, why this result should be excluded.
- F. Page in search engine. On which page in Google Scholar the result showed up (10 results per page).
- G. Snowballing options? When the definition or the context around the definition clearly indicates other sources, the answer is positive.

## Snowballing search results
Second, the same two authors checked the snowballing notes from the query search. The original source and the snowballing results are recorded in the **Snowballing search results** file within the "Snowballing results" tab. During the search, the authors assessed whether the query search results met one or more exclusion criteria. If the snowballed articles could not be found, they were assigned the label "Not found".

The Excel file has a similar structure to the previous one, with a few differences:
- A: Search method. How the entry was found (in this file, always "Snowballing").
- B: Source. The article from which the current result was retrieved via snowballing.
- D: Definition. If available, the definition that was found in that result.
- No columns F-G, as those are irrelevant for snowballing.

### Candidate definitions
When all search selection criteria are met, these results are considered "Candidate definitions", for convenience these are presented on a separate tab. Please note that they are listed by article and some articles may contain more than one candidate definition.