# Extract data
This _readme_ explains the Excel files contained in this folder, related to phase _5. Extract data_. Three authors tagged a selection of the concept definitions. The agreement between them concerning the tags is calculated using Fleiss' Kappa. The final tags, which are referred to as definition characteristics, are also included for convenience.

Data files included in this folder:
1. Tagging inter-rater reliability score.xlsx
2. Tagging set 1.xlsx
3. Tagging set 2.xlsx
4. Tagging set authors 1 and 2.xlsx
5. Tagging set authors 1 and 3.xlsx
6. Tagging set authors 2 and 3.xlsx
7. Concept definitions characteristics and metadata.xlsx

## Inter-rater reliability
In the file **Tagging inter-rater reliability score**, the Fleiss' Kappa scores for all taggings sets are calculated, to assess the inter-rater reliability. All scores are summarized and evaluated on a separate tab in this file. 

## Tagging sets
The original tagging sets (1, 2, 3a, 3b and 3c) are also included, but anonymized. Taggings sets 1 an 2 contain tags by three authors and tagging sets 3a-3c contains tags by two authors (authors 1+2, 1+3 and 2+3). Please note that the author numbers do not necessarily correspond to the order in which their names appear in the article.
Definitions are numbered throughout the tagging and reliability score files for convenience, but not used elsewhere.

In tagging sets 3a-3c, the third author has provided tiebreaker tags whenever the other two authors did not agree on a tag.

The available tags for each set are included on a separate tab called "Tags". The definition characteristics that were tagged are: 
* Attribute: mention of a (quality) attribute, property or characteristic
* Constrain: mention of constraining functional requirements, capabilities, behavior or functionality
* Distinction: does it distinguish functional requirements from non-functional/quality requirements
* Example: mention of examples of non-functional/quality requirements
* Perspective: mention of perspective or scope (if any)
* Focus: mention of non-functional requirement, quality requirement or both
* NFR-QR relationship: mention of relationship between non-functional and quality requirement (if any)

## Characteristics
The final set of agreed upon (via tiebreaker or discussion) tags, referred to as characteristics, are presented in a separate file for convenience. This file (**Concept definitions characteristics and metadata.xlsx**) also contains the metadata (year of publication, venue and number of citations) of the works in which the definitions are presented. This data is also used in the analysis phase. 

