# Visuals data
This _readme_ describes how Figures 4 through 7 can be recreated in PowerBI, using the Excel file (Visuals data.xlsx) in this folder as source, related to phase _6. Analyze data_. 

Data files included in this folder:
1. Visuals data.xlsx


## Sankey diagram 
_Source data_: "Sankey diagram (Fig.4)" tab of "Visuals data.xlsx"

1. _Type of visual_ = Sankey chart
2. _Source_ = "Method" column (Visuals data file, Sankey diagram (Fig.4)) 
3. _Destination_ = "Search" column (Visuals data file, Sankey diagram (Fig.4)) 
4. _Weight_ = "Sum of Count" \
"Sum of Count" is result of a measure called "Sankey"
5. "Sankey" measure = 
Sankey = UNION(\
    SUMMARIZE('Sankey diagram (Fig.4)','Sankey diagram (Fig.4)'[Method],'Sankey diagram (Fig.4)'[Search], "Count", COUNT('Sankey diagram (Fig.4)'[Definitions])),\
    SUMMARIZE('Sankey diagram (Fig.4)','Sankey diagram (Fig.4)'[Search],'Sankey diagram (Fig.4)'[Screening], "Count", COUNT('Sankey diagram (Fig.4)'[Definitions])),\
    SUMMARIZE('Sankey diagram (Fig.4)','Sankey diagram (Fig.4)'[Screening],'Sankey diagram (Fig.4)'[Results], "Count", COUNT('Sankey diagram (Fig.4)'[Definitions])) \
)



## Characteristics 
_Source data_: "Characteristics (Fig.5)" tab of "Visuals data.xlsx"

1. _Type of visual_ = Clustered column chart 
2. _X-axis_ = "Column1" 
3. _Y-axis_ = "NFR", "QR"



## Year of publication 
_Source data_: "Year of pub (Fig.6)" tab of "Visuals data.xlsx"
1. _Type of visual_ = Line chart 
2. _X-axis_ =  "Year of publication" 
3. _Y-axis_ = "NFR","QR" \
For the 2008 reference line, add _X-Axis Constant Line_ with value "2008"



## Query search citations in chronological order 
_Source data_: "Query pub. (Fig.7)" tab of "Visuals data.xlsx"

1. _Type of visual_ = Stacked column chart 
2. _X-axis_ = "ID" 
3. _Y-axis_ = "Citations" 
4. _Legend_ = "Focus" 
5. _Tooltips_ = "Year"